<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net8.0-windows</TargetFramework>
	<PublishSingleFile>true</PublishSingleFile>
	<RuntimeIdentifier>win-x64</RuntimeIdentifier>
    <RootNamespace>qtc_net_client_2</RootNamespace>
    <Nullable>enable</Nullable>
    <UseWindowsForms>true</UseWindowsForms>
    <ImplicitUsings>enable</ImplicitUsings>
    <ApplicationIcon>QtCNETAppIconV2.ico</ApplicationIcon>
    <AssemblyName>QtCNetChat</AssemblyName>
  </PropertyGroup>

  <ItemGroup>
    <Content Include="QtCNETAppIconV2.ico" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Meziantou.Framework.Win32.CredentialManager" Version="1.7.6" />
    <PackageReference Include="NAudio" Version="2.2.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\QtCNETAPI\QtCNETAPI.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Properties\Resources.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

  <ItemGroup>
    <None Update="Sounds\sndContactRequest.wav">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Sounds\sndDirectMsg.wav">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Sounds\sndMessage.wav">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Sounds\sndSendClick.wav">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Sounds\sndTokenJackpot.wav">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Sounds\sndTokenSpinLoop.wav">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Sounds\sndTokenWin.wav">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Sounds\sndTTTMoveMade.wav">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>